org.springframework.ldap.transaction.compensating.manager

## Class ContextSourceAndHibernateTransactionManager

- java.lang.Object
- - org.springframework.transaction.support.AbstractPlatformTransactionManager
  - - org.springframework.orm.hibernate5.HibernateTransactionManager
    - - org.springframework.ldap.transaction.compensating.manager.ContextSourceAndHibernateTransactionManager

- All Implemented Interfaces:
    Serializable, Aware, BeanFactoryAware, InitializingBean, PlatformTransactionManager, ResourceTransactionManager

  Deprecated.
  The idea of wrapping two transaction managers without actual XA support is probably not such a good idea after all. AbstractPlatformTransactionManager is not designed for this usage.

      public class ContextSourceAndHibernateTransactionManager
      extends org.springframework.orm.hibernate5.HibernateTransactionManager

  A Transaction Manager to manage LDAP and Hibernate 3 operations within the same transaction. Note that even though the same logical transaction is used, this is not a JTA XA transaction; no two-phase commit will be performed, and thus commit and rollback may yield unexpected results.
  This Transaction Manager is as good as it gets when you are using in LDAP in combination with a Hibernate 3 and unable to use XA transactions because LDAP is not transactional by design to begin with.
  Furthermore, this manager does not support nested transactions
  Since:
    1.2.2
  Author:
    Hans Westerbeek
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.springframework.transaction.support.AbstractPlatformTransactionManager

      `logger, SYNCHRONIZATION_ALWAYS, SYNCHRONIZATION_NEVER, SYNCHRONIZATION_ON_ACTUAL_TRANSACTION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContextSourceAndHibernateTransactionManager()` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `afterPropertiesSet()` Deprecated.
    `protected void` | `doBegin(Object transaction, TransactionDefinition definition)` Deprecated.
    `protected void` | `doCleanupAfterCompletion(Object transaction)` Deprecated.
    `protected void` | `doCommit(DefaultTransactionStatus status)` Deprecated.
    `protected Object` | `doGetTransaction()` Deprecated.
    `protected void` | `doResume(Object transaction, Object suspendedResources)` Deprecated.
    `protected void` | `doRollback(DefaultTransactionStatus status)` Deprecated.
    `protected Object` | `doSuspend(Object transaction)` Deprecated.
    `ContextSource` | `getContextSource()` Deprecated.
    `protected boolean` | `isExistingTransaction(Object transaction)` Deprecated.
    `void` | `setContextSource(ContextSource contextSource)` Deprecated.
    `void` | `setRenamingStrategy(TempEntryRenamingStrategy renamingStrategy)` Deprecated.

    - ### Methods inherited from class org.springframework.orm.hibernate5.HibernateTransactionManager

      `convertHibernateAccessException, disconnectOnCompletion, doSetRollbackOnly, getDataSource, getEntityInterceptor, getResourceFactory, getSessionFactory, isPhysicallyConnected, isSameConnectionForEntireSession, setAllowResultAccessAfterCompletion, setAutodetectDataSource, setBeanFactory, setDataSource, setEntityInterceptor, setEntityInterceptorBeanName, setHibernateManagedSession, setPrepareConnection, setSessionFactory`

    - ### Methods inherited from class org.springframework.transaction.support.AbstractPlatformTransactionManager

      `commit, determineTimeout, getDefaultTimeout, getTransaction, getTransactionSynchronization, invokeAfterCompletion, isFailEarlyOnGlobalRollbackOnly, isGlobalRollbackOnParticipationFailure, isNestedTransactionAllowed, isRollbackOnCommitFailure, isValidateExistingTransaction, newTransactionStatus, prepareForCommit, prepareSynchronization, prepareTransactionStatus, registerAfterCompletionWithExistingTransaction, resume, rollback, setDefaultTimeout, setFailEarlyOnGlobalRollbackOnly, setGlobalRollbackOnParticipationFailure, setNestedTransactionAllowed, setRollbackOnCommitFailure, setTransactionSynchronization, setTransactionSynchronizationName, setValidateExistingTransaction, shouldCommitOnGlobalRollbackOnly, suspend, triggerBeforeCommit, triggerBeforeCompletion, useSavepointForNestedTransaction`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.springframework.transaction.PlatformTransactionManager

      `commit, getTransaction, rollback`

- - ### Constructor Detail

    - #### ContextSourceAndHibernateTransactionManager

          public ContextSourceAndHibernateTransactionManager()

      Deprecated.

  - ### Method Detail

    - #### isExistingTransaction

          protected boolean isExistingTransaction(Object transaction)

      Deprecated.
      Overrides:
        `isExistingTransaction` in class `org.springframework.orm.hibernate5.HibernateTransactionManager`

    - #### doGetTransaction

          protected Object doGetTransaction()

      Deprecated.
      Overrides:
        `doGetTransaction` in class `org.springframework.orm.hibernate5.HibernateTransactionManager`

    - #### doBegin

          protected void doBegin(Object transaction,
                                 TransactionDefinition definition)

      Deprecated.
      Overrides:
        `doBegin` in class `org.springframework.orm.hibernate5.HibernateTransactionManager`

    - #### doCleanupAfterCompletion

          protected void doCleanupAfterCompletion(Object transaction)

      Deprecated.
      Overrides:
        `doCleanupAfterCompletion` in class `org.springframework.orm.hibernate5.HibernateTransactionManager`

    - #### doCommit

          protected void doCommit(DefaultTransactionStatus status)

      Deprecated.
      Overrides:
        `doCommit` in class `org.springframework.orm.hibernate5.HibernateTransactionManager`

    - #### doRollback

          protected void doRollback(DefaultTransactionStatus status)

      Deprecated.
      Overrides:
        `doRollback` in class `org.springframework.orm.hibernate5.HibernateTransactionManager`

    - #### getContextSource

          public ContextSource getContextSource()

      Deprecated.

    - #### setContextSource

          public void setContextSource(ContextSource contextSource)

      Deprecated.

    - #### setRenamingStrategy

          public void setRenamingStrategy(TempEntryRenamingStrategy renamingStrategy)

      Deprecated.

    - #### doSuspend

          protected Object doSuspend(Object transaction)

      Deprecated.
      Overrides:
        `doSuspend` in class `org.springframework.orm.hibernate5.HibernateTransactionManager`

    - #### doResume

          protected void doResume(Object transaction,
                                  Object suspendedResources)

      Deprecated.
      Overrides:
        `doResume` in class `org.springframework.orm.hibernate5.HibernateTransactionManager`

    - #### afterPropertiesSet

          public void afterPropertiesSet()

      Deprecated.
      Specified by:
        `afterPropertiesSet` in interface `InitializingBean`
      Overrides:
        `afterPropertiesSet` in class `org.springframework.orm.hibernate5.HibernateTransactionManager`